MandateRelatedInformationSDD
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02

## Class MandateRelatedInformationSDD

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02.MandateRelatedInformationSDD

-     public class MandateRelatedInformationSDD
      extends java.lang.Object

  Java class for MandateRelatedInformationSDD complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="MandateRelatedInformationSDD">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="MndtId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}RestrictedIdentificationSEPA2"/>
               <element name="DtOfSgntr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}ISODate"/>
               <element name="AmdmntInd" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}TrueFalseIndicator" minOccurs="0"/>
               <element name="AmdmntInfDtls" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}AmendmentInformationDetailsSDD" minOccurs="0"/>
               <element name="ElctrncSgntr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.002.02}Max1025Text" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Boolean` | `amdmntInd`
    `protected AmendmentInformationDetailsSDD` | `amdmntInfDtls`
    `protected javax.xml.datatype.XMLGregorianCalendar` | `dtOfSgntr`
    `protected java.lang.String` | `elctrncSgntr`
    `protected java.lang.String` | `mndtId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MandateRelatedInformationSDD()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AmendmentInformationDetailsSDD` | `getAmdmntInfDtls()` Gets the value of the amdmntInfDtls property.
    `javax.xml.datatype.XMLGregorianCalendar` | `getDtOfSgntr()` Gets the value of the dtOfSgntr property.
    `java.lang.String` | `getElctrncSgntr()` Gets the value of the elctrncSgntr property.
    `java.lang.String` | `getMndtId()` Gets the value of the mndtId property.
    `java.lang.Boolean` | `isAmdmntInd()` Gets the value of the amdmntInd property.
    `void` | `setAmdmntInd(java.lang.Boolean value)` Sets the value of the amdmntInd property.
    `void` | `setAmdmntInfDtls(AmendmentInformationDetailsSDD value)` Sets the value of the amdmntInfDtls property.
    `void` | `setDtOfSgntr(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the dtOfSgntr property.
    `void` | `setElctrncSgntr(java.lang.String value)` Sets the value of the elctrncSgntr property.
    `void` | `setMndtId(java.lang.String value)` Sets the value of the mndtId property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mndtId

          protected java.lang.String mndtId

    - #### dtOfSgntr

          protected javax.xml.datatype.XMLGregorianCalendar dtOfSgntr

    - #### amdmntInd

          protected java.lang.Boolean amdmntInd

    - #### amdmntInfDtls

          protected AmendmentInformationDetailsSDD amdmntInfDtls

    - #### elctrncSgntr

          protected java.lang.String elctrncSgntr

  - ### Constructor Detail

    - #### MandateRelatedInformationSDD

          public MandateRelatedInformationSDD()

  - ### Method Detail

    - #### getMndtId

          public java.lang.String getMndtId()

      Gets the value of the mndtId property.
      Returns:
        possible object is `String`

    - #### setMndtId

          public void setMndtId(java.lang.String value)

      Sets the value of the mndtId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDtOfSgntr

          public javax.xml.datatype.XMLGregorianCalendar getDtOfSgntr()

      Gets the value of the dtOfSgntr property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDtOfSgntr

          public void setDtOfSgntr(javax.xml.datatype.XMLGregorianCalendar value)

      Sets the value of the dtOfSgntr property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### isAmdmntInd

          public java.lang.Boolean isAmdmntInd()

      Gets the value of the amdmntInd property.
      Returns:
        possible object is `Boolean`

    - #### setAmdmntInd

          public void setAmdmntInd(java.lang.Boolean value)

      Sets the value of the amdmntInd property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getAmdmntInfDtls

          public AmendmentInformationDetailsSDD getAmdmntInfDtls()

      Gets the value of the amdmntInfDtls property.
      Returns:
        possible object is `AmendmentInformationDetailsSDD`

    - #### setAmdmntInfDtls

          public void setAmdmntInfDtls(AmendmentInformationDetailsSDD value)

      Sets the value of the amdmntInfDtls property.
      Parameters:
        `value` - allowed object is `AmendmentInformationDetailsSDD`

    - #### getElctrncSgntr

          public java.lang.String getElctrncSgntr()

      Gets the value of the elctrncSgntr property.
      Returns:
        possible object is `String`

    - #### setElctrncSgntr

          public void setElctrncSgntr(java.lang.String value)

      Sets the value of the elctrncSgntr property.
      Parameters:
        `value` - allowed object is `String`